<?php

function GetSrvcKMfromID($S_srvID){
  if ($ligne = ServiceVHC::getServiceVHCByID($S_srvID)){
    return $ligne['Km'];
  }
  return false;
}
function ChckTreated($NoChasis){
  if ($ligne = ServiceSuivi::getOneByNoChassis($NoChasis)){
    return $ligne["S_status"];
  }
  return false;
}

function ChKifHidden($NoChasis){
  if ($ligne = ServiceSuivi::getOneByNoChassis($NoChasis)){
    if ($ligne['S_status'] == 'hide') return true;
    else return false;
  }
  return false;
}

function LastesrvcDate($NoChasis){
  if ($ligne = Atelier::getByNoChassisNoService($NoChasis)){
    return array ($ligne['Date'], $ligne['Km']);
  }
  return false;
}

function GetClientInfos($NoClient){
  if ($ligne = Client::getClientByNoClient($NoClient)){
    return $ligne;
  }
  return false;
}

function ChckIfAlreadyAnEntry($NoChasis){
  if ($ligne = ServiceSuivi::getOneByNoChassis($NoChasis)){
    return $ligne['S_ID'];
  }
  return false;
}

function ChckRachat($NoChasis){
  $query="SELECT * FROM `commande1` WHERE Vehicule='".$NoChasis."' AND Type='RV' AND ( DateCommande > NOW() - INTERVAL 20 MONTH )";
  if (Connection::executeRawQueryWithfetchAll($query)[0]){
    return true;
  }
  return false;
}

function ChKifCameBk($NoChasis){
  if (Atelier::getByNoChassisRecent( $NoChasis )) {
    return true;
  }
  return false;
}

function GetEmailSVC($NoClient){
  if ($ligne = Client::getClientByNoClient($NoClient)){
    return $ligne['Email'];
  }
  return false;
}

function VrfNxtSrvc($ID_VHC,$LastSrvKM){      
  if ($ligne = ServiceVHC::getServiceVHCByIDAndGreaterKM($ID_VHC, $LastSrvKM)){
    return $ligne['Km'];
  }
  return false;
}

function GetLastSrvKM($SrvcID){      
  if ($ligne = ServiceVHC::getServiceVHCByID($SrvcID)){
    return $ligne['Km'];
  }
  return false;
}

function GetVehiculeInfos($NoChasis){
  if ($ligne = Vehicule::getVehiculeByNoChassis($NoChasis)){
    return $ligne;
  }
  return false;
}

?>